#!/bin/csh

xyz2pipe -in test%03d.fid -verb -x \
| nmrPipe  -fn POLY -time                             \
| nmrPipe  -fn SP -off 0.3 -end 0.98 -pow 2 -c 0.5    \
| nmrPipe  -fn ZF -size auto                               \
#| nmrPipe  -fn ZF -size 256                               \
#| nmrPipe  -fn ZF -size 4096                               \
| nmrPipe  -fn FT                                     \
| nmrPipe  -fn PS -p0 -160 -p1 0 -di               \
#| nmrPipe  -fn POLY -auto                             \
| nmrPipe  -fn EXT -x1 11.0ppm -xn -1.0ppm -sw         \
| nmrPipe  -fn TP                                     \
| nmrPipe  -fn SP -off 0.5 -end 0.98 -pow 2 -c 1.0    \
#| Nmrpipe      -fn MULT -c -1 -xn 1                \
#| nmrPipe      -fn LP                \
#| nmrPipe      -fn LP -ps0-0 -pred 48                \
#| nmrPipe  -fn ZF -size 256                                    \
| nmrPipe  -fn ZF -size auto                               \
| nmrPipe  -fn FT                                     \
#| nmrPipe  -fn FT -alt                                     \
 | nmrPipe  -fn PS -p0 90 -p1 180 -di                \
#| nmrPipe      -fn POLY -ord 2 -auto                     \
#| nmrPipe  -fn POLY -auto                             \
#| nmrPipe  -fn REV                                  \
#| nmrPipe  -fn EXT -x1 11.0ppm -xn -1.0ppm -sw                      \
| nmrPipe  -fn TP                                     \
#| nmrPipe  -fn POLY -auto                             \
| pipe2xyz -out ft/bv%03d.ft2 -y

xyz2pipe -in ft/bv%03d.ft2 -z -verb \
| nmrPipe  -fn SP -off 0.45 -end 0.98 -pow 1 -c 1.0    \
#| Nmrpipe      -fn MULT -c -1 -xn 1                \
#| nmrPipe      -fn LP                \
#| nmrPipe      -fn LP -ps0-0 -pred 48                \
| nmrPipe  -fn ZF -size auto                               \
| nmrPipe  -fn FT                                     \
#| nmrPipe  -fn FT -alt                                    \
| nmrPipe  -fn PS -p0 90 -p1 180 -di                 \
#| nmrPipe      -fn POLY -ord 2 -auto                     \
#| nmrPipe  -fn POLY -auto                             \
#| nmrPipe  -fn REV                                    \
#| nmrPipe  -fn EXT -x1 11.0ppm -xn -1.0ppm -sw         \
| pipe2xyz -out ft/test%03d.ft3 -z

/bin/rm -rf ft/bv*.ft2


proj3D.tcl -in ft/test%03d.ft3 -abs
peakHC.tcl -proj -in ft/test%03d.ft3 -out hc.proj.tab -hi Full
#scroll.tcl $* -in ft/bv%03d.ft3 -tab hc.proj.tab -hi Full -pair

rm #!/bin/csh

xyz2pipe -in ft/test%03d.ft3 -verb -x \
| nmrPipe  -fn ZTP                                     \
| pipe2xyz -out ft/testC%03d.ft3 -x

#xyz2pipe -in ft/HCNHnoesyHdirN%03d.ft3 -verb -z \
#| nmrPipe  -fn ZTP                                     \
#| pipe2xyz -out ft/HCNHnoesyHHdir%03d.ft3 -x

